Mailinglist Archive: opensuse-buildservice (253 mails)

< Previous Next >
Re: [opensuse-buildservice] python-devel issues
  • From: Michael Schroeder <mls@xxxxxxx>
  • Date: Tue, 21 Nov 2006 18:15:26 +0100
  • Message-id: <20061121171526.GB10771@xxxxxxx>
On Tue, Nov 21, 2006 at 04:55:40PM +0000, Andrew Wafaa wrote:
> Thanks to Michael and Daniel, I am now able to build on x86_64 but this has now thrown up an issue. I am now getting the following error from the build service which is what I get on my own box:
>
> configure: error: Dragonfly requires python-devel, or python built with shared library support (--enable-shared)
>
> I have specified python-devel already, so what else do I need to do? Prior to changing my spec to show the different architecture %files I didn't get this error.

If you scroll up the logfile a bit you can see that the error is
unrelated to python-devel:

[...]
configure: WARNING: ldap.h: present but cannot be compiled
[...]
checking for check - version >= 0.9.0... no
*** Could not run check test program, checking why...
*** The test program failed to compile or link. See the file config.log for
*** the exact error that occured.
[...]

That's what you have to do, run a local build and check the end
of config.log for suspicious error messages.

Cheers,
Michael.

--
Michael Schroeder mls@xxxxxxx
main(_){while(_=~getchar())putchar(~_-1/(~(_|32)/13*2-11)*13);}
---------------------------------------------------------------------
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-buildservice+help@xxxxxxxxxxxx

< Previous Next >
Follow Ups
References